org.eclipse.wst.jsdt.core.infer

## Class InferOptions

- java.lang.Object
- - org.eclipse.wst.jsdt.core.infer.InferOptions

    public class InferOptions
    extends java.lang.Object

Inference Options Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static int` `DOC_LOCATION_AFTER`
`static int` `DOC_LOCATION_BEFORE`
`int` `docLocation`
`java.lang.String` `engineClass`
`static java.lang.String` `OPTION_DocLocation`
`static java.lang.String` `OPTION_SaveArgumentComments`
`static java.lang.String` `OPTION_UseAssignments`
`static java.lang.String` `OPTION_UseInitMethod`
`boolean` `saveArgumentComments`
`char[][]` `systemClassMethod`
`boolean` `useAssignments` Set to true var types are inferred based on assigments
`boolean` `useInitMethod`

### Constructor Summary

Constructors
Constructor and Description
`InferOptions()` Initializing the compiler options with defaults
`InferOptions(java.util.Map settings)` Initializing the compiler options with external settings

### Method Summary

All Methods Instance Methods Concrete Methods
`InferEngine` `createEngine()`
`java.util.Map` `getMap()`
`void` `set(java.util.Map optionsMap)`
`void` `setDefaultOptions()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OPTION_UseAssignments

    public static final java.lang.String OPTION_UseAssignments

See Also:
  Constant Field Values

#### OPTION_UseInitMethod

    public static final java.lang.String OPTION_UseInitMethod

See Also:
  Constant Field Values

#### OPTION_SaveArgumentComments

    public static final java.lang.String OPTION_SaveArgumentComments

See Also:
  Constant Field Values

#### OPTION_DocLocation

    public static final java.lang.String OPTION_DocLocation

See Also:
  Constant Field Values

#### DOC_LOCATION_BEFORE

    public static final int DOC_LOCATION_BEFORE

See Also:
  Constant Field Values

#### DOC_LOCATION_AFTER

    public static final int DOC_LOCATION_AFTER

See Also:
  Constant Field Values

#### systemClassMethod

    public char[][] systemClassMethod

#### useAssignments

    public boolean useAssignments

Set to true var types are inferred based on assigments

#### useInitMethod

    public boolean useInitMethod

#### engineClass

    public java.lang.String engineClass

#### saveArgumentComments

    public boolean saveArgumentComments

#### docLocation

    public int docLocation

### Constructor Detail

#### InferOptions

    public InferOptions()

Initializing the compiler options with defaults

#### InferOptions

    public InferOptions(java.util.Map settings)

Initializing the compiler options with external settings

Parameters:
  `settings` -

### Method Detail

#### setDefaultOptions

    public void setDefaultOptions()

#### getMap

    public java.util.Map getMap()

#### set

    public void set(java.util.Map optionsMap)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### createEngine

    public InferEngine createEngine()